ServerException (Java SE 25 & JDK 25)
Description: declaration: module: java.rmi, package: java.rmi, class: ServerException
Keywords: java.rmi.ServerException class

# Class ServerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.rmi.RemoteException
java.rmi.ServerException

All Implemented Interfaces:
  `Serializable`

public class ServerException extends RemoteException
A `ServerException` is thrown as a result of a remote method invocation when a `RemoteException` is thrown while processing the invocation on the server, either while unmarshalling the arguments or executing the remote method itself. A `ServerException` instance contains the original `RemoteException` that occurred as its cause.

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class RemoteException

  `detail`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerException(String s)`
  Constructs a `ServerException` with the specified detail message.
  `ServerException(String s, Exception ex)`
  Constructs a `ServerException` with the specified detail message and nested exception.

- ## Method Summary

  ### Methods declared in class RemoteException

  `getCause, getMessage`

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServerException

    public ServerException(String s)
    Constructs a `ServerException` with the specified detail message.
    Parameters:
      `s` - the detail message
    Since:
      1.1

  - ### ServerException

    public ServerException(String s, Exception ex)
    Constructs a `ServerException` with the specified detail message and nested exception.
    Parameters:
      `s` - the detail message
      `ex` - the nested exception
    Since:
      1.1